package cn.com.ctop.crawler.modules.core.util;

import java.util.*;

/**
 * @author jeecg-boot
 * 2019年12月5日19:57:58
 */
public class SortUtil {
    public static <K, V extends Comparable<? super V>> Map<K, V> sortMapByValue(Map<K, V> map) {
        List<Map.Entry<K, V>> list = new LinkedList<>(map.entrySet());
        Collections.sort(list, new Comparator<Map.Entry<K, V>>() {
            @Override
            public int compare(Map.Entry<K, V> o1, Map.Entry<K, V> o2) {
                return (o1.getValue()).compareTo(o2.getValue());
            }
        });

        Map<K, V> result = new LinkedHashMap<>();
        for (Map.Entry<K, V> entry : list) {
            result.put(entry.getKey(), entry.getValue());
        }
        return result;
    }

    public static <K, V> Map<K, V> sortMapByKey(Map<K, V> map) {
        if(map == null){
            return null;
        }
        return new TreeMap<K, V>(map);
    }
}
